QGIS Application - Bug report #18640
QGIS3 Processing algorithm "Densify by interval” don't work
2018-04-05 09:17 AM - Evgeniy Z

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:3.0.0 Regression?: No
Operating System: Windows 10 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26528
Description

QGIS 3.0.1. Processing algorithm "Densify by interval" don't work. Result is empty layer.
| tried for a simple layer with a single feature even.

Set "Processing Options/Invalid features filtering" to "lgnore features with invalid geometries". Other options are default.

QGIS 2.18 works fine.

Associated revisions

Revision 78a6118b - 2018-04-06 03:50 AM - Nyall Dawson

[processing] Fix broken Densify by Interval algorithm, add test

Fix #18640

Revision ca607f2d - 2018-04-06 06:19 AM - Nyall Dawson

[processing] Fix broken Densify by Interval algorithm, add test

Fix #18640

(cherry-picked from 78a6118)

History

#1 - 2018-04-05 11:38 AM - Nyall Dawson
- Status changed from Open to Feedback

Can you share data and the settings please? The algorithm is unit tested and works ok in the tests.

#2 - 2018-04-05 12:02 PM - Evgeniy Z
- File polygons.zip added
- File settings.PNG added

Nyall Dawson wrote:
Can you share data and the settings please? The algorithm is unit tested and works ok in the tests.

This settings?

#3 - 2018-04-05 12:21 PM - Evgeniy Z
- File densify_by_count.gif added
- File densify_by _interval.gif added

Forgot to say that "Densify by count" works nomally.

#4 - 2018-04-06 03:50 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Feedback to Closed

Applied in changeset commit:qgis|78a6118ba4c391a3c9eff32280f80c066284c4ef.

Files

polygons.zip 1.39 KB 2018-04-05 Evgeniy Z
settings.PNG 37.7KB 2018-04-05 Evgeniy Z
densify_by_count.gif 364 KB 2018-04-05 Evgeniy Z
densify_by_interval.gif 410 KB 2018-04-05 Evgeniy Z
